| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
0
First, we draw a line between two cells sharing a unique corner, then there is a unique line in each 2 × 2 subgrid. let $$$a_{i,j}$$$ be $$$0$$$ if there is a line connecting $$$(i,j),(i+1,j+1)$$$, and $$$1$$$ if there is a line connecting $$$(i,j+1),(i+1,j)$$$. Some $$$a_{i,j}$$$s are given, and we should fill the rest. a key observation is, if $$$a$$$ is valid, then $$$\forall i \in [1,n),j \in [1,m)$$$, the sum of $$$a_{i,j},a_{i,j+1},a_{i+1,j},a_{i+1,j+1}$$$ is even. That also means, there exists an array $$$f$$$ and an array $$$g$$$ consisting of $$$0$$$ and $$$1$$$, satisfying $$$f_i \oplus g_j = a_{i,j}$$$, here $$$\oplus$$$ means the bitwise xor. if $$$a_{i,j}$$$ is given, then add an edge between $$$f_i$$$ and $$$g_j$$$. For each component, check if it's able to construct. The time complexity is $$$O(\sum n+m+k)$$$. |
|
+9
problem E is really nice! |
|
+10
To obtain an iron medal in Winter Camp, NOI(if I can go) and everything. |
|
0
A wonderful contest with problems of different level, and they are expecially suitable for a Chinese like me to improve my skill for the coming competitions. The editorial is also up to standard. |
|
+3
Could't solve B2. It seems like a greedy problem but instead it's dp, and I didn't even think of dp:( |
|
0
hashing, unsigned long long, with base=(1ull<<32). One of my friends told me this and I couldn't help laughing out loudly:( |
|
On
TheScrasse →
Editorial of Codeforces Round #778 (Div. 1 + Div. 2, based on Technocup 2022 Final Round), 5 years ago
+10
The editorial with serveral hints was great help to me! It can always help me understand how to come up with the correct ideas. And the solutions are also very comfortable to read and easy to understand. |
|
-14
I have never heard of any Div.2 or Div.1+Div.2 contests that C is a graph problem and D is a Maths problem like this. The problems are very nice, but I think the contest is awful. I have had my donwvote. |
|
+8
There is a mistake in the Proof of the observation 3 in problem E. Perhaps the author mistook i as j:( |
|
-28
Really Mathforces. |
|
0
Congratulations!!!! |
|
On
Tlatoani →
Editorial for Technocup 2022 — Elimination Round 1 and Codeforces Round #749 (Div. 1+Div. 2), 5 years ago
0
Oh, what a great explanation! Thanks for your help! |
|
On
Tlatoani →
Editorial for Technocup 2022 — Elimination Round 1 and Codeforces Round #749 (Div. 1+Div. 2), 5 years ago
0
The editorial of G is very long and I had to be patient enough to read it carefully. However, I didn't understand the sequence "Specifically, we can represent a valid set v as the set u of intervals that aren't implied to be in v by any other element of v" after reading it again, again, again, again, again and again. Though I asked many other people, I still found it hard to realize what it exactly mean... So is there any people who is good at English explain about it? Thanks. Sorry for my poor English:( |
|
+10
As a Chinese student who is in Grade 9, I have the experience mentioned above every day. However, we not only have subjects like Maths, Chinese and English, but also have main subjects like Phisics, Chemistry and so on. Luckily I still have a little time for OI (you may regard it as solving problems) so I still feel energetic every night:( |
|
0
Oh, I have known that know. Sorry for my poor English:( |
|
0
In the editorial of F2, perhaps "if" is spelled wrong in the last paragraph:( |
|
+21
F1 and F2 are one of the best F problems I have seen before: It's really difficult to come up with the correct ideas, but the solutions are quite short. |
|
+28
In China, we often send "I AK IOI" or "You are so weak" to others. We also named the behaviour "JC" which is the "short form" of "机惨". |
|
0
In fact, Mobius function is not necessary to be used in E, as it can be solved by inclusion-exclusion principle which is similar to the original solution and easier to understand. |
|
+5
The problems are well-prepared, but I really wonder why the D is a constructive problem without any other algorithms. In my opinion, this one should be used as B(so I think swapping B and D is a good choice). Although I know no one will vote for my comment, but I still want to say the suggestions as the writer may hold a round again in the near future. |
|
On
Harbour.Space →
Harbour.Space Scholarship Contest 2021-2022 (Div. 1 + Div. 2) Editorial, 5 years ago
0
For problem B, we can fix the segment [i,j] which goes from left to right, then calculate k, in that way we can fix the chip's route and then we can use hash to check. The time complexity is $$$O(n^2)$$$. But I wonder whether we can solve it in an $$$O(n \log n)$$$ or quicker way. |
|
On
Harbour.Space →
Harbour.Space Scholarship Contest 2021-2022 (Div. 1 + Div. 2) Editorial, 5 years ago
0
When I tried to see the tutorial of problem D, I saw "Tutorial is not available". However, someone has asked a problem about the problem D's tutorial, so if anyone can tell me what's wrong? |
|
+5
Although Div.2 D is harder than ever, in my opinion, it's such a useful and excellent problem. |
|
0
Can someone give the solution code of E to me? Thanks |
|
+4
I wonder why I can't read the code for learning and it said "You are not allowed to read the page!" |
|
+8
??? |
|
+3
Good luck! |
| Name |
|---|


